_ace.prompt = function(qObject, callback, text){
	_ace.promptCancel();
	_ace.StartPopup.hide()
	var html = '<div class="PromptBox">';
	html += '<span class="PromptBoxTitle">' + text + '</span>';
	html += '<form>';
	html += '<table class="PromptForm">';
	$.each(qObject, function(key, value) {
		switch(value.constructor){
			case Array :
				html += '<tr><td class="PromptKey">'+key+'</td><td><select class="input" name="'+key+'">';
				for(var i = 0; i < value.length; i++){
					html += '<option value="'+value[i]+'">'+value[i]+'</option>';
				}
				html += '</select></td></tr>';
			break;
			default : 
				html += '<tr><td class="PromptKey">'+key+'</td><td><input type="text" name="'+key+'" value="'+value+'" class="input"/></td></tr>';
			break;
		}
	});
	html += '</table>';
	html += '</form>';
	if(callback){
		html += '<a href="#" onclick="'+callback+'" class="Button">OK</a>';	
	}
	html += '<a href="#" onclick="_ace.promptCancel()" class="Button">Cancel</a>';
	html += "</div>";
	$(".MainView").append(html);
}
_ace.promptCancel = function(){
	if(_ace.GeneralFunctions.ElementExists($('.PromptBox'))){
		$('.PromptBox').remove();
	}
}
_ace.getPromptResults = function(){
	if(_ace.GeneralFunctions.ElementExists($('.PromptBox'))){
		var PromptResult = 'PromptResult = {';
		if(_ace.GeneralFunctions.ElementExists($('.PromptForm'))){
			var trArray = $('.PromptForm').find(".input");
			for(var i=0; i< trArray.length; i++){
				var name = $(trArray[i]).attr("name");
				var value = $(trArray[i]).val();
				var evilString = name.split(" ");
				var stringType = evilString.pop();
				if(stringType=="(Index)"){
					value = $(trArray[i])[0].selectedIndex;
				}
				evilString = evilString.join('');
				var isString = (stringType==="(String)" || stringType==="(List)")?"'":"";
				PromptResult += evilString + ' : ' + isString + value + isString + ', ';
			}
		}
		PromptResult = PromptResult.slice(0, -2) + '}';
		eval(PromptResult);
		_ace.promptCancel();
		return PromptResult;
	}
}