/* 
	-----------------------------------------------------------------

	A Tile Map Editor 2
	By Ola Persson
	ola@kongotec.com
	www.kongotec.com
	
	Resource Management Description: 
	Handle Added Assets: Images, Sounds & Fonts Etc

	-----------------------------------------------------------------
*/

_ace.resourceManagement = {};

_ace.resourceManagement.NavigationButtonsHtml = function(){
	var html = '';
	return html;
}

_ace.App.create.topNavigationHtmlFunctionArray.push(_ace.resourceManagement.NavigationButtonsHtml);

_ace.resourceManagement.loadAllResources = function(){
	_ace.resourceManagement.loadAllImages();
}

_ace.resourceManagement.countOfImagesToLoad;

_ace.resourceManagement.loadAllImages= function (){
	var i;
	_ace.resourceManagement.countOfImagesToLoad = _ace.currentProject.resources.images.length;
	if(_ace.resourceManagement.countOfImagesToLoad==0){
		_ace.projectManagement.projectLoaded();
	}
	for(i = 0; i < _ace.currentProject.resources.images.length; i++){
		_ace.currentProject.resources.images[i].HTMLIMAGE_img = new Image();
		_ace.currentProject.resources.images[i].HTMLIMAGE_img.onload = function() {
			_ace.resourceManagement.imageLoaded();
		}
		_ace.currentProject.resources.images[i].HTMLIMAGE_img.src = _ace.currentProject.resources.images[i].STRING_base64Img;
	}
}

_ace.resourceManagement.imageLoaded = function (index){
	_ace.resourceManagement.countOfImagesToLoad--;
	if(_ace.resourceManagement.countOfImagesToLoad<=0){
		_ace.projectManagement.projectLoaded();
	}
}

_ace.resourceManagement.returnImageFromImgIdentifyer = function(STRING_imgIdentifyer){
	for(var i = 0; i < _ace.currentProject.resources.images.length; i++){
		if(_ace.currentProject.resources.images[i].STRING_imgIdentifyer==STRING_imgIdentifyer){
			return _ace.currentProject.resources.images[i].HTMLIMAGE_img;
		}
	}
	return null;
}

_ace.resourceManagement.addBase64Image = function(fileEvent){
	STRING_base64Image = fileEvent.target.result;
	var currentObject = null;
	var ii;
	var addImage = true;
	for(var i = 0; i < _ace.currentProject.resources.images.length; i++){
		if(_ace.currentProject.resources.images[i].STRING_objectType=='image'){
			if(_ace.currentProject.resources.images[i].STRING_base64Img==STRING_base64Image){
				// console.log("Image already added!");
				addImage = false; 
				for(ii = 0; ii < _diu.arrayOfCurrentDrops.length; ii++){
					if(fileEvent.loaded == _diu.arrayOfCurrentDrops[ii].droppedFileSize && _diu.arrayOfCurrentDrops[ii].assigned == false){
						// console.log("setting imgidentifyer from already loaded---- ");						
						currentObject =  _diu.arrayOfCurrentDrops[ii].parentObject;
						currentObject.STRING_imgIdentifyer = _ace.currentProject.resources.images[i].STRING_imgIdentifyer;
						_diu.arrayOfCurrentDrops[ii].assigned = true;
					}
				}
				_ace.levelOrganizer.update();
				_ace.mainView.drawOutputCanvases();
				_ace.preferenceInspector.updateHtmlFromObject(_ace.preferenceInspector.currentObjectToEdit);
				_ace.preferenceInspector.tilePalette.updateAll();
				break;
			} 
		}
	}
	if(addImage){
		var imageObject = {
			STRING_objectType : 'image',
			STRING_imgIdentifyer : Math.random().toString(36).substr(2, 9),
			HTMLIMAGE_img : new Image(),
			STRING_base64Img : STRING_base64Image
		};
		_ace.currentProject.resources.images.push(imageObject);
		var index = _ace.currentProject.resources.images.length - 1;
		_ace.currentProject.resources.images[index].HTMLIMAGE_img.onload = function() {
			for(ii = 0; ii < _diu.arrayOfCurrentDrops.length; ii++){
				if(fileEvent.loaded == _diu.arrayOfCurrentDrops[ii].droppedFileSize && _diu.arrayOfCurrentDrops[ii].assigned == false){
					
					console.log("setting imgidentifyer from new file---- ");						
					currentObject =  _diu.arrayOfCurrentDrops[ii].parentObject;
					currentObject.STRING_imgIdentifyer = _ace.currentProject.resources.images[i].STRING_imgIdentifyer;
					_diu.arrayOfCurrentDrops[ii].assigned = true;
				}
			}
			_ace.levelOrganizer.update();
			_ace.mainView.drawOutputCanvases();
			_ace.preferenceInspector.updateHtmlFromObject(_ace.preferenceInspector.currentObjectToEdit);
		}
		_ace.currentProject.resources.images[index].HTMLIMAGE_img.src = imageObject.STRING_base64Img;
	}
}






