/* 
	-----------------------------------------------------------------

	A Tile Map Editor 2
	By Ola Persson
	ola@kongotec.com
	www.kongotec.com
	
	Start Popup Description: 
	Shows A Start Popup

	-----------------------------------------------------------------
*/

_ace.StartPopup = {};

_ace.StartPopup.NavigationButtonHtml = function(){
	var html = '';
	html += '<ul class="Menu">';
	html += '<li class="MenuItem"><a onclick="_ace.StartPopup.show()" class="Button">About</a></li>';
	html += '</ul>';
	return html;
}
_ace.App.create.topNavigationHtmlFunctionArray.push(_ace.StartPopup.NavigationButtonHtml);

_ace.StartPopup.Html = function(){

	var html = "<div id='StartPopup' class='StartPopup'>";
	html += '<a href="#" onclick="_ace.StartPopup.hide()" class="CloseButton"></a>';
	
	html += '<div class="program-logo"></div>';
	html += "<h1>A tile map editor 2.0</h1>";
	html += "<p>";
	html += '<span>By <a href="mailto:ola@kongotec.com" class="RegularLink">Ola Persson</a></span>';
	html += '<span><a href="http://www.olapersson.com" target="_blank" class="RegularLink">www.olapersson.com</a></span>';
	html += "</p>";
	
	/*
	html += "<p>";
	html += '<span>Support this editor by <a href="http://itunes.apple.com/us/app/coneman/id484977154?mt=8" target="_blank" class="RegularLink">downloading CONEMAN!</a></span>';
	html += "</p>";
	*/
	
	html += "<p>";
	html += '<span>Free to use online or <a href="http://www.olapersson.com/contents/a-tile-map-editor-2/a-tile-map-editor-2.zip" class="RegularLink">download</a> and modify! If you extend it i would be glad if you <a href="mailto:ola@kongotec.com" class="RegularLink">e-mailed</a> me your new functionality.</span>';
	html += "</p>";
	
	html += "<p>";
	html += '<span>Mouse left: draw. Mouse right: draw air block.</span>';
	html += '<span>Hold down "alt" key while left clicking a tile on the map<br/> to set that tile as current brush.</span>';
	html += '<span>Drag & drop level or layer -names to sort.</span>';
	html += "</p>";
	
	html += "</div>";
	return html;
};
_ace.App.create.addLastHtmlFunctionArray.push(_ace.StartPopup.Html);

_ace.StartPopup.show = function () {
	$('#StartPopup').css({
		visibility: 'visible'
	});
}

_ace.StartPopup.hide = function () {
	$('#StartPopup').css({
		visibility: 'hidden'
	});
}